repo/proj/guru:dev commit in: app-containers/incus-ui/

"Adel KARA SLIMANE" <[email protected]> Wed, 05 Aug 2026 00:34:50 +0000 (UTC)
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1785890051.aa21139bd70eb45994dee5c9c92fc395c8d91cd4.adel@gentoo>
commit:     aa21139bd70eb45994dee5c9c92fc395c8d91cd4
Author:     Adel KARA SLIMANE <adel.ks <AT> zegrapher <DOT> com>
AuthorDate: Wed Aug  5 00:33:22 2026 +0000
Commit:     Adel KARA SLIMANE <adel <AT> karaslimane <DOT> com>
CommitDate: Wed Aug  5 00:34:11 2026 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=aa21139b

app-containers/incus-ui: add 0.21.5

Closes: https://bugs.gentoo.org/966152

Signed-off-by: Adel KARA SLIMANE <adel.ks <AT> zegrapher.com>

 app-containers/incus-ui/Manifest               |  2 +
 app-containers/incus-ui/incus-ui-0.21.5.ebuild | 59 ++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/app-containers/incus-ui/Manifest b/app-containers/incus-ui/Manifest
index 5a98f52511..2120cf0ac2 100644
--- a/app-containers/incus-ui/Manifest
+++ b/app-containers/incus-ui/Manifest
@@ -1,2 +1,4 @@
 DIST incus-ui-0.18.2-deps.tar.xz 38205644 BLAKE2B 0048a7e6911667d3596034e6abc4979f49e7efbd8f0019070fc6ffef934344411f968c95efbab17cf20b8dd7ba5c74067c58a2962027fec8f091bf23ec21ecc0 SHA512 4b42093f03954a2a1b04eea6b3917b855d1596cd63b512aaa471dc47baf909f77f9125eed1597e3c1d533500f70ff7c177fd4e23a527a052601928bf8606d59c
 DIST incus-ui-0.18.2.tar.gz 1081178 BLAKE2B e7d6eb01210f96b8983a94a4f554fa96ce7d0ed96bc4a866bf13bf33e62e0661b574e315f8d17eeaaee9f4293b2ce393fd43694b45bb2a161585334e1414d5d1 SHA512 fe8fd635395aa15b8021c4d0cec44f7dec86a35f5924ab01925ededb705aed188c9c7fce90803356c8c2ef5007c24b29f5fff37ae9c5c92633c0196c2ecf5d52
+DIST incus-ui-0.21.5-deps.tar.xz 40855480 BLAKE2B e21c6e2fe3329615491d06df65e9f9fee3e3def0e03c212c246fa480d66ed41b0a33e99c3987080c6e292fcafa0e5026c968d097ca5a587becdad5f84735b640 SHA512 aafde9ec087f73c5ba732f0a599e9071af5bc7080f5bdb1f68c12da35fa88b62a5df1ff986ac493889cf0f1b0d8056229917c112a535c46bc0df5b07c46597f3
+DIST incus-ui-0.21.5.tar.gz 1276599 BLAKE2B f063efd6680d786943db10b2d4a4f89ab2082672c992ef9ece99240eaa0a3f5d92bb771b45b66b4959345126d7e0b11ca1b730eed6afdb7f24083f2ed34b59a4 SHA512 10a49844dd5681e033515bd15493dd75e438880d827902c5cd540a48e2af430c560e823542abfc5066510473637600811539d29aabaaed00a0b4741f2f898880

diff --git a/app-containers/incus-ui/incus-ui-0.21.5.ebuild b/app-containers/incus-ui/incus-ui-0.21.5.ebuild
new file mode 100644
index 0000000000..8b18d72352
--- /dev/null
+++ b/app-containers/incus-ui/incus-ui-0.21.5.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit systemd
+
+DESCRIPTION="Incus web UI module"
+HOMEPAGE="https://github.com/zabbly/incus-ui-canonical"
+
+# how to obtain the deps tarball: .git needs to be bundled for the install to work to work without web-fetching stuff
+#   PV=0.21.5
+#   git clone https://github.com/zabbly/incus-ui-canonical.git --branch incus-${PV} --depth 1 incus-ui-canonical && \
+#   cd incus-ui-canonical && yarn install && \
+#   rm -rf .git/{logs,index,hooks,description,info} && \
+#   tar caf ../incus-ui-${PV}-deps.tar.xz --owner=0 --group=0 --numeric-owner node_modules .git
+
+SRC_URI="
+	https://github.com/zabbly/incus-ui-canonical/archive/refs/tags/incus-${PV}.tar.gz -> ${P}.tar.gz
+	https://github.com/AdelKS/gentoo-distfiles/releases/download/${CATEGORY}/${PF}/${PF}-deps.tar.xz
+"
+
+S="${WORKDIR}/incus-ui-canonical-incus-${PV}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	app-containers/incus
+	net-libs/nodejs[npm]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-vcs/git
+	net-libs/nodejs[npm]
+	sys-apps/yarn
+"
+
+src_prepare() {
+	default
+	unpack "${PF}-deps.tar.xz"
+	yarn install || die
+}
+
+src_compile() {
+	yarn build || die
+}
+
+src_install() {
+	insinto /usr/share/incus-ui
+	doins -r build/ui/*
+
+  # for openrc
+	newenvd "${FILESDIR}"/90incus-ui.openrc.env 90incus-ui
+
+	# for systemd
+	systemd_install_dropin incus.service "${FILESDIR}"/incus.systemd.override
+}